﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text

Namespace System.ComponentModel

    ''' <summary>
    ''' Support initialize - this interface exists
    ''' in both Silverlight and WPF so we only
    ''' require it in the Phone project
    ''' </summary>
    Public Interface ISupportInitialize
        ''' <summary>
        ''' Begins the init.
        ''' </summary>
        Sub BeginInit()

        ''' <summary>
        ''' Ends the init.
        ''' </summary>
        Sub EndInit()
    End Interface

End Namespace