﻿Imports System.Collections.Generic
Imports MsdnDemo.Infrastructure.Portable.Entities
Imports MsdnDemo.Infrastructure.Portable.Interfaces

Namespace MsdnDemo.LayerBusinessLogic.Interfaces
    Public Interface IUserBll
        Inherits IBll
        Function AuthenticateUser(ByVal password As String) As Boolean

        Function GetUserList() As List(Of UserEntity)

        Function DropRoleFromUser(ByVal roleList As String) As Integer
        Function CreateUsersWithRoles(ByVal userEntity As UserEntity, ByVal roleList As String) As Integer
        Function CreateUsersWithRoles(ByVal userEntity As UserEntity, ByVal roles As List(Of RoleEntity)) As Integer
    End Interface
End Namespace