﻿
Imports System.Linq
Imports MsdnDemo.Infrastructure.Portable.Interfaces

Namespace MsdnDemo.Infrastructure.Portable.Extensions
	Public Module SecurityViewModelExtension
		<System.Runtime.CompilerServices.Extension> _
		Public Function IsInRole1(ByVal viewModel As ISecurityViewModel, ByVal role As String) As Boolean
			If viewModel.Roles Is Nothing OrElse viewModel.Roles.Count() = 0 Then
				Return False
			End If

			Dim result = viewModel.Roles.FirstOrDefault(Function(r) r.ToLower() = role.ToLower())
			Return (result IsNot Nothing)

		End Function
	End Module
End Namespace