﻿Imports System
Imports System.Collections.Generic
Imports System.Diagnostics
Imports System.Linq
Imports System.Text

Namespace MsdnDemo.Infrastructure.Portable.Logger
    Public Class DebugLogger
        Implements ILogger
        ''' <summary>
        ''' Logs the specified message.
        ''' </summary>
        ''' <param name="message">The message.</param>
        Public Sub Log(ByVal message As String) Implements ILogger.Log 
            Log(message, Nothing)
        End Sub

        ''' <summary>
        ''' Logs the specified message.
        ''' </summary>
        ''' <param name="message">The message.</param>
        ''' <param name="args">The args.</param>
        Public Sub Log(ByVal message As String, ByVal ParamArray args() As Object) Implements ILogger.Log

            Dim msg = message
            If args IsNot Nothing Then
                msg = String.Format(message, args)
            End If

            Debug.WriteLine(String.Format("GWN:{0} - {1}", Date.Now.ToLocalTime(), msg))
        End Sub
    End Class
End Namespace