﻿Imports MsdnDemo.Infrastructure.Portable.Events
Imports MsdnDemo.Infrastructure.Portable.Interfaces

Namespace MsdnDemo.Infrastructure.Portable.MvpVmBase
    Public Class MvpVmPresenter(Of TView As IView, TViewModel As IMvpVmViewModel)
        Implements IMvpVmPresenter

        Public Property Shell() As IShell
        Public Property View() As TView
        Public Property ViewModel() As TViewModel

        ''' <summary>
        ''' Called when the view is activated (by Application controller)
        ''' </summary>
        ''' <param name="e">The <see cref="MsdnDemo.Infrastructure.Portable.Events.ViewEventArgs"/> 
        ''' instance containing the event data.</param>
        Public Overridable Sub ViewActivated(ByVal e As ViewEventArgs) Implements IMvpVmPresenter.ViewActivated
        End Sub
    End Class
End Namespace