﻿Imports Microsoft.Practices.Unity
Imports MsdnDemo.Infrastructure.Portable.Interfaces
Imports MsdnDemo.LayerBusinessLogic.Base
Imports MsdnDemo.LayerBusinessLogic.Interfaces

Namespace MsdnDemo.Mvc3.Tests.Mocks
    Public Class MockBll
        Inherits BllBase(Of MockEntity)
        Implements IMockBll
        Public Property IsSuccessful() As Boolean

        <Dependency()>
        Public Property SecurityVm() As ISecurityViewModel

        <Dependency()>
        Public Property UserBll() As IUserBll

        Public Function AuthenticateUser(ByVal password As String) As Boolean
            Return UserBll.AuthenticateUser(password)
        End Function
    End Class
End Namespace