﻿Imports Community.CsharpSqlite.Gwn.Library.SqliteDataProvider.Base
Imports MsdnDemo.Infrastructure.Portable.Entities
Imports MsdnDemo.LayerDataAccess.Sql
Imports MsdnDemo.LayerDataAccess.Sqlite

Namespace MsdnDemo.LayerDataAccess
    Public Class UserDal
        Inherits SqlDal(Of UserEntity)
        Protected Overrides Sub PopulateEntityOnRead(ByVal rdr As IDataReader, ByVal data As UserEntity)
            data.Id = rdr.GetTypeOf(Of Integer)("Id")
            data.FirstName = rdr.GetTypeOf(Of String)("FirstName")
            data.LastName = rdr.GetTypeOf(Of String)("LastName")
            data.PrimaryEmail = rdr.GetTypeOf(Of String)("PrimaryEmail")
            data.Password = rdr.GetTypeOf(Of String)("Password")
        End Sub
    End Class
End Namespace