﻿Imports Microsoft.Practices.Unity
Imports MsdnDemo.Base
Imports MsInterfaces = MsdnDemo.Infrastructure.Portable.Interfaces

Namespace MsdnDemo.MvpVmViewModels
    Public Class SecurityViewModel
        Inherits PresentationViewModelBase
        <Dependency()>
        Public Property UserInfo() As MsInterfaces.ISecurityViewModel

        Public Property IsAuthenticated() As Boolean
            Get
                Return UserInfo.IsAuthenticated
            End Get
            Set(ByVal value As Boolean)
                UserInfo.IsAuthenticated = value
                OnPropertyChanged("IsAuthenticated")

                If value Then
                    IsAdmin = UserInfo.IsInRole("Admin")
                    IsGuest = UserInfo.IsInRole("Guest")

                End If
            End Set
        End Property

        Private _password As String = "password"
        Public Property Password() As String
            Get
                Return _password
            End Get
            Set(ByVal value As String)
                _password = value
                OnPropertyChanged("Password")
            End Set
        End Property


        Private _message As String
        Public Property Message() As String
            Get
                Return _message
            End Get
            Set(ByVal value As String)
                _message = value
                OnPropertyChanged("Message")
            End Set
        End Property
    End Class
End Namespace