﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text

Namespace MsdnDemo.Infrastructure.Portable.Constants
    Public Class StatusCode
        Public Const NotDefined As Integer = -1
        Public Const Success As Integer = 0

        ' Supplemental information
        Public Const AlreadyExists As Integer = 500
        Public Const DoesNotExist As Integer = 510
        Public Const NoData As Integer = 520
        Public Const NotAuthorized As Integer = 530

        ' Errors
        Public Const TableCreateError As Integer = 1000
        Public Const TableDropError As Integer = 1010
        Public Const RecordCreateError As Integer = 1020
        Public Const UniquenessConstraint As Integer = 1030

        ' CRUDL
        Public Const CreateFailed As Integer = 600
        Public Const ReadFailed As Integer = 610
        Public Const UpdateFailed As Integer = 620
        Public Const DeleteFailed As Integer = 630
        Public Const ListFailed As Integer = 640


    End Class
End Namespace