﻿Imports System

Namespace MsdnDemo.Infrastructure.Portable.Events
    ''' <summary>
    ''' Module EventArgs
    ''' </summary>
    Public Class ModuleEventArgs
        Inherits EventArgs
        ''' <summary>
        ''' Gets or sets the type of the event.
        ''' </summary>
        ''' <value>The type of the event.</value>
        Public Property EventType() As ModuleEventType

        ''' <summary>
        ''' Gets or sets the pay load.
        ''' </summary>
        ''' <value>The pay load.</value>
        Public Property PayLoad() As Object

        ''' <summary>
        ''' Gets or sets the module.
        ''' </summary>
        ''' <value>The module.</value>
        Public Property ModuleName() As String

    End Class
End Namespace