﻿Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Linq
Imports System.Text
Imports Microsoft.Practices.Unity
Imports MsdnDemo.Infrastructure.Portable.Entities
Imports MsdnDemo.Infrastructure.Portable.Logger
Imports Microsoft.Practices.Prism.Events
Imports MsdnDemo.Infrastructure.Portable.Interfaces

Namespace MsdnDemo.Mvc3.Tests.Base
    Public Class FixtureBase
        Public Property Container() As IUnityContainer
        Public Property EventAggregator() As IEventAggregator

        Protected Sub Initialize()
            Container = New UnityContainer()
            Container.RegisterType(Of ILogger, DebugLogger)().RegisterType(Of ISecurityViewModel, SecurityEntity)(New ContainerControlledLifetimeManager()).RegisterType(Of IEventAggregator, EventAggregator)(New ContainerControlledLifetimeManager())

            EventAggregator = Container.Resolve(Of IEventAggregator)()
        End Sub
    End Class
End Namespace