﻿Imports Community.CsharpSqlite.Gwn.Library.SqliteDataProvider.Base
Imports Microsoft.Practices.Unity
Imports MsdnDemo.LayerDataAccess.Sql
Imports MsdnDemo.LayerDataAccess.Sqlite

Namespace MsdnDemo.Mvc3.Tests.Mocks
    Public Class MockDal
        Inherits SqlDal(Of MockEntity)
        <Dependency()>
        Public Property Data() As MockEntity

        Protected Overrides Sub PopulateEntityOnRead(ByVal rdr As IDataReader, ByVal data As MockEntity)
            data.Id = rdr.GetTypeOf(Of Integer)("Id")
            data.Login = rdr.GetTypeOf(Of String)("Login")
            data.Password = rdr.GetTypeOf(Of String)("Password")
        End Sub
    End Class
End Namespace